Bug 6382 - case insensitive dfs links broken
case insensitive dfs links broken
Status: RESOLVED FIXED
Product: Samba 3.2
Classification: Unclassified
Component: File services
unspecified
Other Linux
: P3 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-20 10:45 UTC by Volker Lendecke
Modified: 2009-07-29 06:09 UTC (History)
0 users

See Also:


Attachments
patch (758 bytes, patch)
2009-05-20 10:48 UTC, Volker Lendecke
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Volker Lendecke 2009-05-20 10:45:12 UTC
/git/tmp > ls -l FOO/
insgesamt 0
lrwxrwxrwx 1 vlendec users 23 20. Mai 16:15 link -> msdfs:192.168.234.100\tmp

smb: \> cd foo/link
cd \foo\link\: NT_STATUS_PATH_NOT_COVERED
smb: \> cd FOO/link
Connection to 192.168.234.100 failed (Error NT_STATUS_NETWORK_UNREACHABLE)
Unable to follow dfs referral [\192.168.234.100\tmp]
cd \FOO\link\: NT_STATUS_PATH_NOT_COVERED
smb: \> 

See that I have a directory FOO with a valid msdfs link inside. If I try to access that as foo/link it just gives NT_STATUS_PATH_NOT_COVERED. If I access it as FOO/link, it gets one step further. The NETWORK_UNREACHABLE is a different problem (I'm running this on socket wrapper right now). The bug I want to point out is the different behaviour of foo vs FOO.

This is a bug already fixed in master for a different reason: fe839b65a7b4 fixes upload of a special printer driver which relies on a case insensitive file system. The same fix applies to case insensitive DFS links: In both code paths we are using fake internal connection_struct's.

Volker
Comment 1 Volker Lendecke 2009-05-20 10:48:13 UTC
Created attachment 4171 [details]
patch

This is essentially fe839b65a7b4 from master in 3.2
Comment 2 Jeremy Allison 2009-05-20 15:19:20 UTC
+1 from me. This should be safe to add to 3.3 also IMHO.
Jeremy.
Comment 3 Volker Lendecke 2009-05-21 03:04:56 UTC
Yep, this is 3.3 also. I just did not want to open two bugs :-)

Karolin, please tell me if the patch doesn't apply cleanly to 3.3.

Volker
Comment 4 Karolin Seeger 2009-05-23 13:25:23 UTC
Pushed.
Will be included in 3.3.5 and 3.2.12.

Thanks!